{ config, pkgs, ... }:

{
  nix = {
    binaryCaches = [
      "https://cache.nixos.org"
    ];
    binaryCachePublicKeys = [
    ];
    extraOptions = ''
      allowed-uris = http:// https://
    '';
  };

  services.hydra = {
    enable = true;
    hydraURL = "https://hydra.hq.c3d2.de";
    logo = ./c3d2.svg;
    notificationSender = "hydra@spam.works";
    package = pkgs.hydra-unstable;
    useSubstitutes = false;
  };

  services.nginx = {
    enable = true;
    recommendedProxySettings = true;
    recommendedGzipSettings = true;
    virtualHosts."hydra.hq.c3d2.de" = {
      forceSSL = true;
      enableACME = true;
      locations."/".proxyPass =
        "http://localhost:${toString config.services.hydra.port}";
    };
  };
}
